<div class="button-row">
  <a mat-raised-button color="primary" (click)="bookDetails()">Permohonan Penganugerahan Diploma/Ijazah</a>
</div>
<form [formGroup]="applyForm" (ngSubmit)="onFormSubmit(applyForm.value)">

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Nama Pelajar" formControlName="nama_pelajar"
           [errorStateMatcher]="matcher">
    <mat-error>
      <span *ngIf="!applyForm.get('nama_pelajar').valid && applyForm.get('nama_pelajar').touched">Sila masukkan NAMA PENUH</span>
    </mat-error>
  </mat-form-field>

  <mat-form-field class="example-full-width">
     <input matInput placeholder="No K/P" formControlName="title"
           [errorStateMatcher]="matcher">
    <mat-error>
      <span *ngIf="!applyForm.get('title').valid && applyForm.get('title').touched">Sila masukkan NO K/P</span>
    </mat-error>
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="No Matrik" formControlName="no_matrik"
           [errorStateMatcher]="matcher">
    <mat-error>
      <span *ngIf="!applyForm.get('no_matrik').valid && applyForm.get('no_matrik').touched">Sila masukkan NO MATRIK</span>
    </mat-error>
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <textarea matInput placeholder="Gender" formControlName="Gender"
           [errorStateMatcher]="matcher"></textarea>
    <mat-error>
      <span *ngIf="!applyForm.get('Gender').valid && applyForm.get('Gender').touched">Sila nyatakan JANTINA</span>
    </mat-error>
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Fakulti" formControlName="faculty"
           [errorStateMatcher]="matcher">
    <mat-error>
      <span *ngIf="!applyForm.get('faculty').valid && applyForm.get('faculty').touched">Sila nyatakan FAKULTI</span>
    </mat-error>
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Sekolah" formControlName="school"
           [errorStateMatcher]="matcher">
    <mat-error>
      <span *ngIf="!applyForm.get('school').valid && applyForm.get('school').touched">Sila nyatakan SEKOLAH</span>
    </mat-error>
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="nationality" formControlName="nationality"
           [errorStateMatcher]="matcher">
    <mat-error>
      <span *ngIf="!applyForm.get('nationality').valid && applyForm.get('nationality').touched">Sila nyatakan WARGANEGARA</span>
    </mat-error>
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="races" formControlName="races"
           [errorStateMatcher]="matcher">
    <mat-error>
      <span *ngIf="!applyForm.get('races').valid && applyForm.get('races').touched">Sila nyatakan KAUM</span>
    </mat-error>
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="address Surat-Menyurat" formControlName="address"
           [errorStateMatcher]="matcher">
    <mat-error>
      <span *ngIf="!applyForm.get('address').valid && applyForm.get('address').touched">Sila masukkan ALAMAT</span>
    </mat-error>
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Email" formControlName="email"
           [errorStateMatcher]="matcher">
    <mat-error>
      <span *ngIf="!applyForm.get('email').valid && applyForm.get('email').touched">Sila masukkan EMAIL</span>
    </mat-error>
  </mat-form-field>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="No.telefon" formControlName="phone"
           [errorStateMatcher]="matcher">
    <mat-error>
      <span *ngIf="!applyForm.get('phone').valid && applyForm.get('phone').touched">Sila masukkan NO TELEFON</span>
    </mat-error>
  </mat-form-field>

  <div class="button-row">
    <button type="submit" [disabled]="!applyForm.valid" mat-raised-button color="primary">Hantar</button>
  </div>
</form>
